/*
** SellaNMS
** $Id: configuration.cxx,v 1.7 2006/01/24 07:08:09 sella Exp $
** Copyright (c) 2001-2005 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

static const char rcsid[] = "$Id: configuration.cxx,v 1.7 2006/01/24 07:08:09 sella Exp $";

#include "configuration.h"

Configuration::Configuration(): config(NULL) {
}

Configuration::~Configuration() {
}

RESULT Configuration::get(string request, ConfigNode **node) {
	assert(*node == NULL); //There shouldn't be something allocated already.
	assert(config != NULL); //config should be set prior to this.

	if (!(*node = config->getNode(request))) {
		return FAILURE;
	}

	return SUCCESS;
}

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim:
** vim: noet ts=3 sw=3
*/
